Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList Class Reference

`#include <DynamicC.h>`

Inheritance diagram for Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList:

[legend]
Collaboration diagram for Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_Dynamic_ParameterList (void)
| _TAO_Unbounded_Sequence_Dynamic_ParameterList (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_Dynamic_ParameterList (CORBA::ULong maximum, CORBA::ULong length, Parameter *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_Dynamic_ParameterList (const _TAO_Unbounded_Sequence_Dynamic_ParameterList &rhs)
_TAO_Unbounded_Sequence_Dynamic_ParameterList & | operator= (const _TAO_Unbounded_Sequence_Dynamic_ParameterList &rhs)
virtual | ~_TAO_Unbounded_Sequence_Dynamic_ParameterList (void)
Parameter & | operator[] (CORBA::ULong i)
const Parameter & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
| Ensure that the buffer contains space for at least <length> elements. More...
virtual void | _deallocate_buffer (void)
| Must deallocate the buffer and then set it to zero. More...
Parameter * | get_buffer (CORBA::Boolean orphan=0)
const Parameter * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, Parameter *data, CORBA::Boolean release)
## Static Public Methods
Parameter * | allocbuf (CORBA::ULong size)
void | freebuf (Parameter *buffer)

## Constructor & Destructor Documentation

Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::_TAO_Unbounded_Sequence_Dynamic_ParameterList | ( | void |  | ) |

Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::_TAO_Unbounded_Sequence_Dynamic_ParameterList | ( | CORBA::ULong | maximum | ) |

Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::_TAO_Unbounded_Sequence_Dynamic_ParameterList | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | Parameter * | data,
|  | CORBA::Boolean | release = 0
| ) |

Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::_TAO_Unbounded_Sequence_Dynamic_ParameterList | ( | const _TAO_Unbounded_Sequence_Dynamic_ParameterList & | rhs | ) |

Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::~_TAO_Unbounded_Sequence_Dynamic_ParameterList | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Ensure that the buffer contains space for at least <length> elements. The constructor must be called for any new elements, the old ones (if any) must be copied into the buffer using operator= and then their destructors must be called. Finally the old buffer must be released. Reimplemented from TAO_Base_Sequence.

void Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Must deallocate the buffer and then set it to zero. Reimplemented from TAO_Base_Sequence.

Parameter* Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

void Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::freebuf | ( | Parameter * | buffer | ) | `[static]`

const Parameter* Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::get_buffer | ( | void |  | ) | const

Parameter* Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Sequence_Dynamic_ParameterList& Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::operator= | ( | const _TAO_Unbounded_Sequence_Dynamic_ParameterList & | rhs | ) |

const Parameter& Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::operator[] | ( | CORBA::ULong | i | ) | const

Parameter& Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::operator[] | ( | CORBA::ULong | i | ) |

void Dynamic::_TAO_Unbounded_Sequence_Dynamic_ParameterList::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | Parameter * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following files:

- DynamicC.h
- DynamicC.cpp